Skip to main content
GET
/
v1
/
account
/
internal-transfers
Get Internal Transfers
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/account/internal-transfers \
  --header 'POLYMARKET-PROXY: <api-key>' \
  --header 'POLYMARKET-SECRET: <api-key>'
import requests

url = "https://api.perpetuals.polymarket.com/v1/account/internal-transfers"

headers = {
"POLYMARKET-PROXY": "<api-key>",
"POLYMARKET-SECRET": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'POLYMARKET-PROXY': '<api-key>', 'POLYMARKET-SECRET': '<api-key>'}
};

fetch('https://api.perpetuals.polymarket.com/v1/account/internal-transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "transfer_id": 123,
      "asset": "USDC",
      "amount": "100000000",
      "counterparty": "0x1234567890abcdef1234567890abcdef12345678",
      "created_timestamp": 1767225600000,
      "label": "trading-bot"
    }
  ],
  "more": true
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
{
"status": "err",
"error": "insufficient_margin"
}
Request Weight: 10

Authorizations

POLYMARKET-PROXY
string
header
required

Proxy address

POLYMARKET-SECRET
string
header
required

Correponding proxy secret

Query Parameters

start_timestamp
integer

Start timestamp in milliseconds

Example:

1767225600000

end_timestamp
integer

End timestamp in milliseconds

Example:

1767229200000

Response

Internal transfer history response.

data
object[]
required
more
boolean
required

More data available